SHAKEN, PASSporT, and the Identity header
- The Wikipedia article says SHAKEN stands for Signature-based Handling of Asserted information using toKENs.
- It says SHAKEN was developed by the SIP Forum and ATIS to implement STIR, and that STIR is designed for calls routed through VoIP rather than the SS7 telephone network.
- The article says a STIR system produces a token with the originating number, the called number, and the attestation level, and that this is appended to the SIP request in an Identity field.
- RFC 8225 defines PASSporT, a Personal Assertion Token that cryptographically verifies an originating identity.
- RFC 8224 defines authenticated identity management in SIP and says the baseline SIP security mechanisms are inadequate for assuring end-user identity in an interdomain context. The page says it obsoletes RFC 4474.
These are study notes, not vendor documentation and not legal advice. learning-only student project. https://cyphermonkeylabs.com/#contact https://github.com/CypherMonkeyLabs https://linktr.ee/cypherMonkey
Sources and go deeper
Opened 2026-10. A row marked confirm has no link, because that page was not verified.
sources.json